﻿#include "../../bundle/basil.js";

// Version for basil.js v.1.1.0
var msgA, msgB;

//--------------------------------------------------------
function setup() {

  // Load the jsonString. 
  b.println('loading files');
  msgA = b.loadStrings("JewsAre_20000_2018-11-15_20-43-42_filtered100_start_final.txt");
  msgB = b.loadStrings("JewsAre_20000_2018-11-15_20-43-42_filtered100_start_final_replaced.txt");
  b.println('loaded files');

  // Clear the document at the very start. 
  b.clear (b.doc());

  // Make a title page. 
  b.fill(0,0,0);
  b.textSize(24);
  b.textFont("Times New Roman", "Bold");
  b.textAlign(Justification.CENTER_ALIGN); 
  b.canvasMode(b.MARGIN)
  b.text("Antisemitic Absurdities", 0, b.height/3, b.width, 2*b.height/3);
  b.textSize(20);
  b.textFont("Times New Roman", "Regular");
  b.text("Courtesy of People on Twitter", 0, 7*b.height/8, b.width, b.height/8);
  b.textSize(14);
  b.text("31 October 2018 to 15 November 2018", 0, 13*b.height/14, b.width, b.height/14);
  b.canvasMode(b.PAGE)
  
  b.println("Number of elements in A: " + msgA.length); 
  b.println("Number of elements in B: " + msgB.length);

  for (var i = 0; i < msgA.length; i+=11) {
    b.addPage();
    b.noStroke(); 
    b.fill(0); 
    b.rect(0,0,b.width,b.height)
    b.canvasMode(b.MARGIN)
    for (var j = 0; j < 11; j++) {
        b.println(i+j);
        b.fill(255);
        b.textSize(12);
        b.textFont("Californian FB", "Regular");
        b.textAlign(Justification.RIGHT_ALIGN, VerticalJustification.CENTER_ALIGN );
        var x = 0;
        var y = j*(b.height/11)
        var w = b.width
        var h = b.height/11
        if (typeof msgB[i+j] == "string") b.text(msgA[i+j], x,y,w,h);
    };
    b.canvasMode(b.PAGE)
    b.addPage();
    b.noStroke(); 
    b.fill(255); 
    b.rect(0,0,b.width,b.height)
    b.canvasMode(b.MARGIN)
    for (var j = 0; j < 11; j++) {
        b.println(i+j);
        b.fill(0);
        b.textSize(12);
        b.textFont("Californian FB", "Regular"); 
        b.textAlign(Justification.LEFT_ALIGN, VerticalJustification.CENTER_ALIGN );
        var x = 0;
        var y = j*(b.height/11)
        var w = b.width
        var h = b.height/11
        if (typeof msgB[i+j] == "string") b.text(msgB[i+j], x,y,w,h);
    };
    b.canvasMode(b.PAGE)
  };
    b.canvasMode(b.MARGIN)
    b.addPage();
    b.textSize(10);
    b.textFont("Times New Roman", "Regular");
    b.textAlign(Justification.RIGHT_ALIGN, VerticalJustification.BOTTOM_ALIGN );
    b.text("Programmatically generated from Tweets\nSearched for the term \"Jews are\"\nCompiled 16 November 2018",0,0,b.width,b.height)
};

// This makes it all happen:
b.go(); 